const callback = (mutationList, observer) -> {
    const walker = document.createTreeWalker(
        document.documentElement,
        NodeFilter.SHOW_TEXT, null, false);
    let node;

    while (node = walker.nextNode()) {
        if (node.nodeValue.includes("Promote")) {
            let ancestor = node.parentNode;
            while (ancestor && ancestor.tagName !== 'A') {
                ancestor = ancestor.parentNode;
            }

            if (ancestor && ancestor.tagName === 'A') {
                ancestor.remove();
            }
        }
    }
}

const targetNode = document.documentElement;
const observer = new MutationObserver(callback);
observer.observe(targetNode, { attributes: false, childList: true, subtree: true });
